<div class="d-flex gap-2 overflow-x-auto p-mb-5 flex-wrap">
  <ng-container *ngFor="let filtersPreset of filtersPresets">
    <app-menu-chip
      [label]="filtersPreset.name"
      [selected]="filtersPreset.id === selectedFiltersPreset.id && isOverrideDisabled"
      [menuActive]="filtersPreset.id === selectedFiltersPreset.id && isOverrideDisabled"
      (chipClick)="selectFiltersPreset(filtersPreset)"
      [menuItems]="menuItems"
    ></app-menu-chip>
  </ng-container>
  <app-menu-chip
    label="+ New filter"
    [selected]="addFiltersPreset.id === selectedFiltersPreset.id"
    (chipClick)="showAddFiltersPresetDialog()"
  ></app-menu-chip>
</div>
<p-dialog 
  #dialog
  [header]="filtersPresetDialogHeader"
  [(visible)]="filtersPresetDialogVisible"
  [responsive]="true"
  [resizable]="false"
  [focusOnShow]="false"
  showEffect="fade"
  [modal]="true"
  [style]="{ width: '530px', minWidth: '400px', minHeight: '300px', }"
  (onHide)="onHideFiltersPresetDialog()"
>
  <form [formGroup]="filterPresetForm" (ngSubmit)="onFiltersPresetSubmit()">
    <div class="form-group form-row">
      <label class="col-form-label offset-md-0 col-md-3 text-md-right">Preset name</label>
      <div class="offset-1 offset-md-0 col-md-6">
        <input
          pInputText
          formControlName="name"
          class="w-100"
          id="name"
          type="text"
         />
        <div *ngIf="showFiltersPresetsValidationErrors('name')">
          <div class="text-danger" *ngIf="filterPresetForm.get('name').errors?.['required']">Value is required</div>
          <div class="text-danger" *ngIf="filterPresetForm.get('name').errors?.['maxlength']">Value must not contain more than 20 characters</div>
          <div class="text-danger" *ngIf="filterPresetForm.get('name').errors?.['forbiddenValue']">This name is already taken</div>
          <span>{{filterPresetForm.get('name').errors?.['maxlength'] | json }}</span>
        </div>
      </div>
    </div>
    <div class="form-group form-row">
      <div class="offset-1 offset-md-3 col-md-2">
        <button pButton label="Save" [disabled]="filterPresetForm.invalid" type="submit"></button>
      </div>
    </div>
  </form>
</p-dialog>
